ros-jazzy-turtlebot3 (2.3.1-1noble) noble; urgency=high

  * Deprecate ament_include_dependency usage in CMakeLists.txt
  * Added launch arguments to camera.launch.py file to configure the camera image resolution at runtime via the CLI
  * Contributor: Hyungyu Kim, YeonSoo Noh

 -- Pyo <pyo@robotis.com>  Thu, 29 May 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.3.0-1noble) noble; urgency=high

  * Added a launch file using camera_ros to resolve the camera cropping issue
  * Contributor: YeonSoo Noh

 -- Pyo <pyo@robotis.com>  Thu, 22 May 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.9-1noble) noble; urgency=high

  * Fixed typo error in urdf
  * Contributors: Hyungyu Kim

 -- Pyo <pyo@robotis.com>  Mon, 14 Apr 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.8-1noble) noble; urgency=high

  * Support flexible configuration of the frame_id used when publishing the topic
  * Contributors: Hyungyu Kim

 -- Pyo <pyo@robotis.com>  Thu, 10 Apr 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.7-1noble) noble; urgency=high

  * Modified Relative Move
  * Contributors: YeonSoo Noh

 -- Pyo <pyo@robotis.com>  Wed, 26 Mar 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.6-1noble) noble; urgency=high

  * Added Nav2 parameters for Jazzy
  * Made it possible to choose between using the Twist type or the TwistStamped type in cmd_vel through a parameter
  * Contributors: Hyungyu Kim

 -- Pyo <pyo@robotis.com>  Sun, 23 Mar 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.5-1noble) noble; urgency=high

  * Modified Obstacle Detection and Position Control PointOp
  * Contributors: Wonho Yun, Jeonggeun Lim

 -- Pyo <pyo@robotis.com>  Tue, 25 Feb 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.4-1noble) noble; urgency=high

  * Modified Interactive Marker
  * Contributors: Junyeong Jeong, Jeonggeun Lim

 -- Pyo <pyo@robotis.com>  Thu, 20 Feb 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.3-1noble) noble; urgency=high

  * Modified Patrol server and client
  * Contributors: Junyeong Jeong, Jeonggeun Lim

 -- Pyo <pyo@robotis.com>  Tue, 18 Feb 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.2-1noble) noble; urgency=high

  * Fixed a bug where the frame_id in the header of the odom_msg starts with a slash
  * Contributors: Hyungyu Kim

 -- Pyo <pyo@robotis.com>  Tue, 18 Feb 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.1-1noble) noble; urgency=high

  * Fixed a bug where the orientation in the odometry was incorrect
  * Contributors: Hyungyu Kim

 -- Pyo <pyo@robotis.com>  Mon, 17 Feb 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.2.0-1noble) noble; urgency=high

  * Added namespace functionality for multi-robot support
  * Fixed a bug where odometry was not resetting and an offset issue
  * Contributors: Hyungyu Kim

 -- Pyo <pyo@robotis.com>  Wed, 12 Feb 2025 15:00:00 -0000

ros-jazzy-turtlebot3 (2.1.5-1noble) noble; urgency=high

  * ROS 2 Humble Hawksbill supported
  * revise ROS 2 Cartographer excutable & name
  * Contributors: Will Son

 -- Pyo <pyo@robotis.com>  Wed, 25 May 2022 15:00:00 -0000

ros-jazzy-turtlebot3 (2.1.4-1noble) noble; urgency=high

  * Added LDS-02 support
  * Contributors: Will Son

 -- Pyo <pyo@robotis.com>  Mon, 07 Feb 2022 15:00:00 -0000

ros-jazzy-turtlebot3 (2.1.3-1noble) noble; urgency=high

  * ROS 2 Rolling Ridley supported
  * fix ambiguous ParameterValue calls (#748, #736)
  * fix RViz2 Cartographer default config
  * Contributors: m2-farzan, Will Son

 -- Pyo <pyo@robotis.com>  Wed, 01 Sep 2021 15:00:00 -0000

ros-jazzy-turtlebot3 (2.1.2-1noble) noble; urgency=high

  * use static param types for Galactic
  * fix SensorState msg
  * rename and update nav2 params
  * modify robot_state_publisher
  * fix odometry bug
  * Contributors: jhbirdchoi, David Park, Ashe Kim, Will Son

 -- Pyo <pyo@robotis.com>  Tue, 06 Apr 2021 15:00:00 -0000

ros-jazzy-turtlebot3 (2.1.1-1noble) noble; urgency=high

  * Nav2 prefix filename removed
  * turtlebot3.repos updated to target correct distro
  * galactic-devel branch created
  * Eloquent EOL
  * Contributors: Ashe Kim, Will Son

 -- Pyo <pyo@robotis.com>  Tue, 05 Jan 2021 15:00:00 -0000

ros-jazzy-turtlebot3 (2.1.0-1noble) noble; urgency=high

  * ROS 2 Foxy Fitzroy supported
  * ROS 2 Eloquent Elusor supported
  * Enable Windows port
  * Contributors: Ryan, Ashe, Sean Yen

 -- Pyo <pyo@robotis.com>  Sun, 21 Jun 2020 15:00:00 -0000

ros-jazzy-turtlebot3 (2.0.1-1noble) noble; urgency=high

  * Updated the CHANGELOG and version to release binary packages
  * Added missing exec_depend for nav2_bringup
  * Modified dependency packages
  * Contributors: Ruffin, Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-jazzy-turtlebot3 (2.0.0-1noble) noble; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Removed ament_export_dependency(xacro) #462 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/462>
  * Added use_sim_time parameter for rviz2 #456 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/456>
  * Fixed ROS 2 dependencies and library install #454 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/454>
  * Fixed turtlebot3.repos #447 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/447> #432 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/432>
  * Fixed scan rate to 5hz #418 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/418>
  * Initialized joint states variables #411 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/411>
  * Updated map.yaml #386 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/386>
  * Contributors: Matt Hansen, Alberto Soragna, Carl Delsey, sousou1, Emerson Knapp, Mikael Arguedas, Ross Desmond, Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-jazzy-turtlebot3 (1.2.2-1noble) noble; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-jazzy-turtlebot3 (1.2.1-1noble) noble; urgency=high

  * Fixed typo #436 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/436>
  * Fixed ROS_ASSERT bug #416 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/416>
  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Added turtlebot3_remote.launch to turtlebot3_model.launch #389 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/389>
  * Contributors: Jonathan Hechtbauer, Pallav Bhalla, ant, Ryan Shim, Kayman, Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-jazzy-turtlebot3 (1.2.0-1noble) noble; urgency=high

  * changed math.ceil() operation #373 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/373>
  * fixed TypeError integers
  * fixed read of scanned samples when there isn't 360
  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * added windows port #358 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/358>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Steven Macenski, Eduardo Avelar, Sean Yen, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-jazzy-turtlebot3 (1.1.0-1noble) noble; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * added odometrySource
  * modified camera topic name
  * modified base_scan update_rate and add param on diff_drive #258
  * modified the laser scanner update_rate in the gazebo xacro files #258
  * modified origin of collision in Waffle URDF
  * updated turtlebot3_diagnostic node
  * updated firmware version from 1.2.0 to 1.2.2
  * updated get firmware version
  * updated version check function
  * updated warn msg for version check
  * deleted unused get_scan function #227
  * Contributors: Darby Lim, Gilbert, Eduardo Avelar, shtseng, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-jazzy-turtlebot3 (1.0.0-1noble) noble; urgency=high

  * added cartographer
  * added hector mapping
  * added karto SLAM
  * added frontier_exploration
  * added launch files to run various SLAMs
  * added robot model for OpenManipulator and turtlebot3_autorace
  * added exec python nodes like marker_server in catkin_install_python
  * added frameName for imu on gazebo (however, there is no effect.)
  * added variable to check version only once (turtlebot3_bringup)
  * modified global names #211 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/211> from FurqanHabibi/fix_global_topic_name
  * modified gmapping parameters
  * modified navigation parameters
  * modified version check and firmware version (turtlebot3_bringup)
  * modified robot names
  * modified range of lidar, lidar position, scan param
  * modified camera position and fixed slip bug
  * modified waffle_pi stl files
  * modified initial value, profile function, limit velocity msg (teleop)
  * merged pull request #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #148 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/148> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146> #145 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/145>
  * Contributors: Darby Lim, Leon Jung, Gilbert, KurtE, ncnynl, FurqanHabibi, skasperski, ihadzic, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-jazzy-turtlebot3 (0.2.1-1noble) noble; urgency=high

  * added install directory
  * refactoring for release
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-jazzy-turtlebot3 (0.2.0-1noble) noble; urgency=high

  * added turtlebot3_rpicamera.launch for raspberry pi camera
  * added waffle pi model (urdf and gazebo)
  * added verion check function
  * added diagnostics node
  * added scripts for reload rules
  * added example package
  * modified firmware version
  * modified param config
  * modified topic of gazebo plugin
  * modified r200 tf tree
  * modified gazebo imu link
  * removed the large bag file and added download command from other site
  * refactoring for release
  * Contributors: Darby Lim, Gilbert, Leon Jung, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-jazzy-turtlebot3 (0.1.6-1noble) noble; urgency=high

  * fixed typo
  * fixed xacro.py deprecation
  * modified file location
  * updated nav param
  * updated SLAM param
  * updated model.launch
  * updated IMU link
  * updated gazebo config
  * Contributors: Darby Lim, Hunter L. Allen

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-jazzy-turtlebot3 (0.1.5-1noble) noble; urgency=high

  * updated turtlebot3 waffle URDF
  * changed the node name from hlds_laser_publisher to turtlebot3_lds
  * modified bag and map files
  * added SLAM bag file
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-jazzy-turtlebot3 (0.1.4-1noble) noble; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-jazzy-turtlebot3 (0.1.3-1noble) noble; urgency=high

  * Detached turtlebot3_msgs package from turtlebot3 package for uploading to rosdistro
  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Leon Jung, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000


